--- old/usr/src/cmd/sgs/elfdump/common/corenote.c	2016-06-15 19:31:30.338191341 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/corenote.c	2016-06-15 19:31:30.366521818 -0400
@@ -837,6 +837,7 @@
 {
 	const sl_prsecflags_layout_t *layout = state->ns_arch->prsecflags;
 	Conv_secflags_buf_t inv;
+	Lword lw;
 	Word w;
 
 	indent_enter(state, title, &layout->pr_version);
@@ -849,21 +850,21 @@
 		    4, 3);
 	} else {
 		PRINT_DEC(MSG_ORIG(MSG_CNOTE_T_PR_VERSION), pr_version);
-		w = extract_as_word(state, &layout->pr_effective);
+		lw = extract_as_lword(state, &layout->pr_effective);
 		print_str(state, MSG_ORIG(MSG_CNOTE_T_PR_EFFECTIVE),
-		    conv_prsecflags(w, 0, &inv));
+		    conv_prsecflags(lw, 0, &inv));
 
-		w = extract_as_word(state, &layout->pr_inherit);
+		lw = extract_as_lword(state, &layout->pr_inherit);
 		print_str(state, MSG_ORIG(MSG_CNOTE_T_PR_INHERIT),
-		    conv_prsecflags(w, 0, &inv));
+		    conv_prsecflags(lw, 0, &inv));
 
-		w = extract_as_word(state, &layout->pr_lower);
+		lw = extract_as_lword(state, &layout->pr_lower);
 		print_str(state, MSG_ORIG(MSG_CNOTE_T_PR_LOWER),
-		    conv_prsecflags(w, 0, &inv));
+		    conv_prsecflags(lw, 0, &inv));
 
-		w = extract_as_word(state, &layout->pr_upper);
+		lw = extract_as_lword(state, &layout->pr_upper);
 		print_str(state, MSG_ORIG(MSG_CNOTE_T_PR_UPPER),
-		    conv_prsecflags(w, 0, &inv));
+		    conv_prsecflags(lw, 0, &inv));
 	}
 
 	indent_exit(state);
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_amd64.c	2016-06-15 19:31:31.386645252 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_amd64.c	2016-06-15 19:31:31.413997789 -0400
@@ -378,12 +378,12 @@
 
 
 static const sl_prsecflags_layout_t prsecflags_layout = {
-	{ 0,	20,	0,	0 },		/* sizeof (prsecflags_t) */
+	{ 0,	40,	0,	0 },		/* sizeof (prsecflags_t) */
 	{ 0,	4,	0,	0 },		/* pr_version */
-	{ 4,	4,	0,	0 },		/* pr_effective */
-	{ 8,	4,	0,	0 },		/* pr_inherit */
-	{ 12,	4,	0,	0 },		/* pr_lower */
-	{ 16,	4,	0,	0 },		/* pr_upper */
+	{ 8,	8,	0,	0 },		/* pr_effective */
+	{ 16,	8,	0,	0 },		/* pr_inherit */
+	{ 24,	8,	0,	0 },		/* pr_lower */
+	{ 32,	8,	0,	0 },		/* pr_upper */
 };
 
 
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2016-06-15 19:31:32.218114445 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2016-06-15 19:31:32.246124928 -0400
@@ -378,12 +378,12 @@
 
 
 static const sl_prsecflags_layout_t prsecflags_layout = {
-	{ 0,	20,	0,	0 },		/* sizeof (prsecflags_t) */
+	{ 0,	40,	0,	0 },		/* sizeof (prsecflags_t) */
 	{ 0,	4,	0,	0 },		/* pr_version */
-	{ 4,	4,	0,	0 },		/* pr_effective */
-	{ 8,	4,	0,	0 },		/* pr_inherit */
-	{ 12,	4,	0,	0 },		/* pr_lower */
-	{ 16,	4,	0,	0 },		/* pr_upper */
+	{ 8,	8,	0,	0 },		/* pr_effective */
+	{ 16,	8,	0,	0 },		/* pr_inherit */
+	{ 24,	8,	0,	0 },		/* pr_lower */
+	{ 32,	8,	0,	0 },		/* pr_upper */
 };
 
 
--- old/usr/src/cmd/sgs/libconv/common/corenote.c	2016-06-15 19:31:33.034160912 -0400
+++ new/usr/src/cmd/sgs/libconv/common/corenote.c	2016-06-15 19:31:33.072221992 -0400
@@ -2621,12 +2621,12 @@
 		{ 0, 0 }
 	};
 	static CONV_EXPN_FIELD_ARG conv_arg = {
-	    NULL, sizeof (secflags_buf->buf) };
+	    NULL, sizeof (secflags_buf->buf)
+	};
 	int i;
 
-	for (i = 0; vda[i].v_msg != 0; i++) {
+	for (i = 0; vda[i].v_msg != 0; i++)
 		vda[i].v_val = secflag_to_bit(i);
-	}
 
 	if (flags == 0)
 		return (MSG_ORIG(MSG_GBL_ZERO));
--- old/usr/src/common/secflags/secflags.c	2016-06-15 19:31:34.183817070 -0400
+++ new/usr/src/common/secflags/secflags.c	2016-06-15 19:31:34.211239471 -0400
@@ -223,7 +223,7 @@
 	for (fd = flagdescs; fd->name != NULL; fd++) {
 		if (secflag_isset(flags, fd->value)) {
 			if (buf[0] != '\0')
-				(void) strlcat(buf, ", ", buflen);
+				(void) strlcat(buf, ",", buflen);
 			(void) strlcat(buf, fd->name, buflen);
 		}
 
@@ -231,11 +231,11 @@
 	}
 
 	if (flags != 0) { 	/* unknown flags */
-		char hexbuf[11]; /* 0x%08x */
+		char hexbuf[19]; /* 0x%16 PRIx64 */
 
-		(void) snprintf(hexbuf, sizeof (hexbuf), "0x%08x", flags);
+		(void) snprintf(hexbuf, sizeof (hexbuf), "0x%16" PRIx64, flags);
 		if (buf[0] != '\0')
-			(void) strlcat(buf, ", ", buflen);
+			(void) strlcat(buf, ",", buflen);
 		(void) strlcat(buf, hexbuf, buflen);
 	}
 }
--- old/usr/src/lib/libc/inc/priv_private.h	2016-06-15 19:31:35.041361149 -0400
+++ new/usr/src/lib/libc/inc/priv_private.h	2016-06-15 19:31:35.070331043 -0400
@@ -27,6 +27,8 @@
 #ifndef _PRIV_PRIVATE_H
 #define	_PRIV_PRIVATE_H
 
+#pragma ident	"%Z%%M%	%I%	%E% SMI"
+
 #include <sys/types.h>
 #include <sys/priv.h>
 #include <limits.h>
--- old/usr/src/lib/libc/port/sys/sbrk.c	2016-06-15 19:31:35.812033478 -0400
+++ new/usr/src/lib/libc/port/sys/sbrk.c	2016-06-15 19:31:35.839658448 -0400
@@ -122,7 +122,7 @@
 	uintptr_t ret_brk;
 	uintptr_t high_brk;
 	uintptr_t new_brk;
-	int brk_result;
+	intptr_t brk_result;
 
 	if (!primary_link_map) {
 		errno = ENOTSUP;
@@ -138,9 +138,8 @@
 
 	lmutex_lock(&__sbrk_lock);
 
-	if (_nd == NULL) {
+	if (_nd == NULL)
 		_nd = (void *)_brk_unlocked(0);
-	}
 
 	old_brk = (uintptr_t)BRKALIGN(_nd);
 	ret_brk = P2ROUNDUP(old_brk, low_align);
@@ -156,7 +155,7 @@
 		return ((void *)-1);
 	}
 
-	if ((brk_result = (int)_brk_unlocked((void *)new_brk)) == 0)
+	if ((brk_result = _brk_unlocked((void *)new_brk)) == 0)
 		_nd = (void *)new_brk;
 	lmutex_unlock(&__sbrk_lock);
 
@@ -171,7 +170,7 @@
 int
 brk(void *new_brk)
 {
-	int result;
+	intptr_t result;
 
 	/*
 	 * brk(2) will return the current brk if given an argument of 0, so we
@@ -192,7 +191,7 @@
 	new_brk = BRKALIGN(new_brk);
 
 	lmutex_lock(&__sbrk_lock);
-	if ((result = (int)_brk_unlocked(new_brk)) == 0)
+	if ((result = _brk_unlocked(new_brk)) == 0)
 		_nd = new_brk;
 	lmutex_unlock(&__sbrk_lock);
 
--- old/usr/src/lib/libscf/common/highlevel.c	2016-06-15 19:31:36.598833933 -0400
+++ new/usr/src/lib/libscf/common/highlevel.c	2016-06-15 19:31:36.630054910 -0400
@@ -435,6 +435,9 @@
 	if (!psecflags_validate(flags))
 		return (-1);
 
-#endif	/* !NATIVE_BUILD */
 	return (0);
+#else
+	assert(0);
+	abort();
+#endif /* !NATIVE_BUILD */
 }
--- old/usr/src/man/man1/ld.1	2016-06-15 19:31:37.426273978 -0400
+++ new/usr/src/man/man1/ld.1	2016-06-15 19:31:37.454511916 -0400
@@ -5,7 +5,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH LD 1 "Sep 10, 2013"
+.TH LD 1 "Jun 6, 2016"
 .SH NAME
 ld \- link-editor for object files
 .SH SYNOPSIS
--- old/usr/src/man/man1/psecflags.1	2016-06-15 19:31:39.284114715 -0400
+++ new/usr/src/man/man1/psecflags.1	2016-06-15 19:31:39.311595015 -0400
@@ -10,19 +10,19 @@
 .\"
 .\" Copyright 2015, Richard Lowe.
 .\"
-.TH "PSECFLAGS" "1" "May 3, 2014"
+.TH "PSECFLAGS" "1" "June 6, 2016"
 .SH "NAME"
 \fBpsecflags\fR - inspect or modify process security flags
 .SH "SYNOPSIS"
 .LP
 .nf
-\fB/usr/bin/psecflags\fR \fI-s\fR \fIspec\fR \fI-e\fR \fIcommand\fR
-	[\fIarg\fR]...
+\fB/usr/bin/psecflags\fR \fI-s\fR \fIspec\fR \fI-e\fR \fIcommand\fR \
+[\fIarg\fR]...
 .fi
 .LP
 .nf
-\fB/usr/bin/psecflags\fR \fI-s\fR \fIspec\fR [\fI-i\fR \fIidtype\fR]
-	\fIid\fR ...
+\fB/usr/bin/psecflags\fR \fI-s\fR \fIspec\fR [\fI-i\fR \fIidtype\fR] \
+\fIid\fR ...
 .fi
 .LP
 .nf
@@ -220,8 +220,8 @@
 100718:	-sh
 	E:	aslr
 	I:	aslr
-        L:	none
-        U:	aslr, forbidnullmap, noexecstack
+	L:	none
+	U:	aslr,forbidnullmap,noexecstack
 .fi
 .in -2
 .sp
@@ -237,8 +237,8 @@
 100724:	-sh
 	E:	none
 	I:	aslr
-        L:	none
-        U:	aslr, forbidnullmap, noexecstack
+	L:	none
+	U:	aslr,forbidnullmap,noexecstack
 .fi
 .in -2
 .sp
--- old/usr/src/man/man1m/zonecfg.1m	2016-06-15 19:31:40.605320238 -0400
+++ new/usr/src/man/man1m/zonecfg.1m	2016-06-15 19:31:40.633741784 -0400
@@ -4,7 +4,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\" See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with the
 .\" fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ZONECFG 1M "Feb 28, 2014"
+.TH ZONECFG 1M "Jun 6, 2016"
 .SH NAME
 zonecfg \- set up zone configuration
 .SH SYNOPSIS
--- old/usr/src/man/man3lib/libproc.3lib	2016-06-15 19:31:42.399064050 -0400
+++ new/usr/src/man/man3lib/libproc.3lib	2016-06-15 19:31:42.426712287 -0400
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2015 Joyent, Inc.
 .\"
-.Dd May 08, 2016
+.Dd June 06, 2016
 .Dt LIBPROC 3LIB
 .Os
 .Sh NAME
--- old/usr/src/man/man3proc/Psecflags.3proc	2016-06-15 19:31:44.036694270 -0400
+++ new/usr/src/man/man3proc/Psecflags.3proc	2016-06-15 19:31:44.064465294 -0400
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016, Richard Lowe.
 .\"
-.Dd May 14, 2016
+.Dd June 06, 2016
 .Dt PSECFLAGS 3PROC
 .Os
 .Sh NAME
@@ -22,12 +22,12 @@
 .Lb libproc
 .In libproc.h
 .Ft int
-.Fo Ppriv
+.Fo Psecflags
 .Fa "struct ps_prochandle *P"
 .Fa "prsecflags_t **psf"
 .Fc
 .Ft void
-.Fo Ppriv_free
+.Fo Psecflags_free
 .Fa "struct ps_prochandle *P"
 .Fa "prsecflags_t *psf"
 .Fc
@@ -59,7 +59,7 @@
 .Sy 0
 and
 .Fa psf
-is updated with a pointer to the allocated privilege set. Otherwise,
+is updated with a pointer to the allocated security flags. Otherwise,
 .Sy -1
 is returned and
 .Fa psf
--- old/usr/src/man/man4/core.4	2016-06-15 19:31:45.328736809 -0400
+++ new/usr/src/man/man4/core.4	2016-06-15 19:31:45.355945625 -0400
@@ -6,7 +6,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CORE 4 "Jul 23, 2015"
+.TH CORE 4 "Jun 6, 2016"
 .SH NAME
 core \- process core file
 .SH DESCRIPTION
--- old/usr/src/man/man4/proc.4	2016-06-15 19:31:46.729848305 -0400
+++ new/usr/src/man/man4/proc.4	2016-06-15 19:31:46.757805521 -0400
@@ -5,7 +5,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PROC 4 "Jul 23, 2015"
+.TH PROC 4 "Jun 6, 2016"
 .SH NAME
 proc \- /proc, the process file system
 .SH DESCRIPTION
--- old/usr/src/man/man5/privileges.5	2016-06-15 19:31:49.026362230 -0400
+++ new/usr/src/man/man5/privileges.5	2016-06-15 19:31:49.054071627 -0400
@@ -4,7 +4,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE. If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PRIVILEGES 5 "Oct 30, 2015"
+.TH PRIVILEGES 5 "Jun 6, 2016"
 .SH NAME
 privileges \- process privilege model
 .SH DESCRIPTION
--- old/usr/src/man/man5/security-flags.5	2016-06-15 19:31:50.726010197 -0400
+++ new/usr/src/man/man5/security-flags.5	2016-06-15 19:31:50.753425917 -0400
@@ -10,7 +10,7 @@
 .\"
 .\" Copyright 2015, Richard Lowe.
 .\"
-.TH "SECURITY-FLAGS" "5" "May 5, 2014"
+.TH "SECURITY-FLAGS" "5" "June 6, 2016"
 .SH "NAME"
 \fBsecurity-flags\fR - process security flags
 .SH "DESCRIPTION"
--- old/usr/src/man/man5/smf_method.5	2016-06-15 19:31:51.972264206 -0400
+++ new/usr/src/man/man5/smf_method.5	2016-06-15 19:31:51.999826477 -0400
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SMF_METHOD 5 "May 20, 2009"
+.TH SMF_METHOD 5 "June 6, 2016"
 .SH NAME
 smf_method \- service management framework conventions for methods
 .SH DESCRIPTION
--- old/usr/src/test/os-tests/tests/secflags/Makefile	2016-06-15 19:31:53.370381827 -0400
+++ new/usr/src/test/os-tests/tests/secflags/Makefile	2016-06-15 19:31:53.397814633 -0400
@@ -46,11 +46,11 @@
 
 stacky := MAPFILE.NES=			# Will foil the test, clearly
 stacky: stacky.o
-	$(LINK.c) -m32 stacky.o -o $@ $(LDLIBS)
+	$(LINK.c) stacky.o -o $@ $(LDLIBS)
 	$(POST_PROCESS)
 
 secflags_syscall: secflags_syscall.c
-	$(LINK.c) -m32 secflags_syscall.c -o $@ $(LDLIBS)
+	$(LINK.c) secflags_syscall.c -o $@ $(LDLIBS)
 	$(POST_PROCESS)
 
 all: $(PROG)
--- old/usr/src/test/os-tests/tests/secflags/secflags_aslr.sh	2016-06-15 19:31:54.131677383 -0400
+++ new/usr/src/test/os-tests/tests/secflags/secflags_aslr.sh	2016-06-15 19:31:54.159028956 -0400
@@ -11,9 +11,10 @@
 # http://www.illumos.org/license/CDDL.
 #
 
-# Copyright 2015, Richald Lowe.
+# Copyright 2015, Richard Lowe.
 
-# Verify that aslr musses things up, by comparing the mappings of 2 identical processes
+# Verify that aslr messes things up, by comparing the mappings of 2 identical
+# processes
 
 LC_ALL=C                        # Collation is important
 
--- old/usr/src/test/os-tests/tests/secflags/secflags_elfdump.sh	2016-06-15 19:31:54.939314826 -0400
+++ new/usr/src/test/os-tests/tests/secflags/secflags_elfdump.sh	2016-06-15 19:31:54.968595425 -0400
@@ -35,7 +35,7 @@
 
 cat > gcore-expected.$$ <<EOF
     namesz: 0x5
-    descsz: 0x14
+    descsz: 0x28
     type:   [ NT_SECFLAGS ]
     name:
         CORE\0
@@ -58,7 +58,7 @@
 
 cat > core-expected.$$ <<EOF
     namesz: 0x5
-    descsz: 0x14
+    descsz: 0x28
     type:   [ NT_SECFLAGS ]
     name:
         CORE\0
--- old/usr/src/test/os-tests/tests/secflags/secflags_psecflags.sh	2016-06-15 19:31:55.707197494 -0400
+++ new/usr/src/test/os-tests/tests/secflags/secflags_psecflags.sh	2016-06-15 19:31:55.734685120 -0400
@@ -50,7 +50,7 @@
     echo "Add (self)"
     /usr/bin/psecflags -s current,noexecstack $$
     cat > expected <<EOF
-	I:	aslr, noexecstack
+	I:	aslr,noexecstack
 EOF
 
     /usr/bin/psecflags $$ | grep I: > output
@@ -110,8 +110,8 @@
     /usr/bin/psecflags -s current,noexecstack -e sleep 10000 &
     pid=$!
     cat > expected <<EOF
-	E:	aslr, noexecstack
-	I:	aslr, noexecstack
+	E:	aslr,noexecstack
+	I:	aslr,noexecstack
 EOF
     /usr/bin/psecflags $pid | grep '[IE]:' > output
     kill $pid
--- old/usr/src/test/os-tests/tests/secflags/secflags_zonecfg.sh	2016-06-15 19:31:56.498301215 -0400
+++ new/usr/src/test/os-tests/tests/secflags/secflags_zonecfg.sh	2016-06-15 19:31:56.525959738 -0400
@@ -11,7 +11,7 @@
 # http://www.illumos.org/license/CDDL.
 #
 
-# Copyright 2015, Richald Lowe.
+# Copyright 2015, Richard Lowe.
 
 # Verify that zones can be configured with security-flags
 LC_ALL=C                        # Collation is important
--- old/usr/src/uts/common/exec/elf/elf_impl.h	2016-06-15 19:31:57.290896972 -0400
+++ new/usr/src/uts/common/exec/elf/elf_impl.h	2016-06-15 19:31:57.318193367 -0400
@@ -26,6 +26,8 @@
 #ifndef _ELF_ELF_IMPL_H
 #define	_ELF_ELF_IMPL_H
 
+#pragma ident	"%Z%%M%	%I%	%E% SMI"
+
 #ifdef	__cplusplus
 extern "C" {
 #endif
--- old/usr/src/uts/common/os/fork.c	2016-06-15 19:31:58.063968205 -0400
+++ new/usr/src/uts/common/os/fork.c	2016-06-15 19:31:58.091644437 -0400
@@ -1091,7 +1091,7 @@
 	 * Security flags are preserved on fork, the inherited copy come into
 	 * effect on exec
 	 */
-	bcopy(&pp->p_secflags, &cp->p_secflags, sizeof (psecflags_t));
+	cp->p_secflags = pp->p_secflags;
 
 	/*
 	 * Initialize watchpoint structures
--- old/usr/src/uts/common/sys/procfs.h	2016-06-15 19:31:59.059561624 -0400
+++ new/usr/src/uts/common/sys/procfs.h	2016-06-15 19:31:59.087999641 -0400
@@ -403,6 +403,7 @@
 #define	PRSECFLAGS_VERSION_CURRENT	PRSECFLAGS_VERSION_1
 typedef struct prsecflags {
 	uint32_t pr_version;
+	char pr_pad[4];
 	secflagset_t pr_effective;
 	secflagset_t pr_inherit;
 	secflagset_t pr_lower;
--- old/usr/src/uts/common/sys/secflags.h	2016-06-15 19:31:59.986870525 -0400
+++ new/usr/src/uts/common/sys/secflags.h	2016-06-15 19:32:00.014249263 -0400
@@ -22,7 +22,7 @@
 #include <sys/procset.h>
 
 struct proc;
-typedef uint32_t secflagset_t;
+typedef uint64_t secflagset_t;
 
 typedef struct psecflags {
 	secflagset_t psf_effective;
